Skip to main content
PATCH
/
api
/
v1
/
rounds
/
{id}
Update round
curl --request PATCH \
  --url https://www.intervyo.ai/api/v1/rounds/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "stage_name": "<string>",
  "stage_type": "<string>",
  "duration_minutes": 123,
  "interviewer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "stage_order": 123,
  "difficulty": "<string>",
  "pass_threshold": 123,
  "automation_rule": "<string>"
}
'
import requests

url = "https://www.intervyo.ai/api/v1/rounds/{id}"

payload = {
    "stage_name": "<string>",
    "stage_type": "<string>",
    "duration_minutes": 123,
    "interviewer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "stage_order": 123,
    "difficulty": "<string>",
    "pass_threshold": 123,
    "automation_rule": "<string>"
}
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    stage_name: '<string>',
    stage_type: '<string>',
    duration_minutes: 123,
    interviewer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    stage_order: 123,
    difficulty: '<string>',
    pass_threshold: 123,
    automation_rule: '<string>'
  })
};

fetch('https://www.intervyo.ai/api/v1/rounds/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "error": "<string>",
  "issues": [
    {}
  ]
}
{
  "error": "<string>",
  "issues": [
    {}
  ]
}
{
  "error": "<string>",
  "issues": [
    {}
  ]
}
{
  "error": "<string>",
  "issues": [
    {}
  ]
}

Authorizations

x-api-key
string
header
required

API key with the iv_live_ prefix. Create one under Developer → API Keys.

Path Parameters

id
string<uuid>
required

id identifier

Body

application/json
stage_name
string

Display name

stage_type
string

Interview format

duration_minutes
integer

Session length

interviewer_id
string<uuid>

AI persona

stage_order
integer

Position in pipeline

difficulty
string

Question depth

pass_threshold
number

Min score to pass

automation_rule
string

Post-completion automation

status
enum<string>

Stage status

Available options:
draft,
active,
archived

Response

Success

Last modified on July 10, 2026